InterruptedNamingException (Java Platform SE 8 )
Keywords: javax.naming.InterruptedNamingException class
Date: 2026-07-22

compact3
javax.naming

## Class InterruptedNamingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.InterruptedNamingException

- All Implemented Interfaces:
    Serializable

      public class InterruptedNamingException
      extends NamingException

  This exception is thrown when the naming operation being invoked has been interrupted. For example, an application might interrupt a thread that is performing a search. If the search supports being interrupted, it will throw InterruptedNamingException. Whether an operation is interruptible and when depends on its implementation (as provided by the service providers). Different implementations have different ways of protecting their resources and objects from being damaged due to unexpected interrupts.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    `Context`, `DirContext`, `Thread.interrupt()`, `InterruptedException`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterruptedNamingException()` Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.
    `InterruptedNamingException(String explanation)` Constructs an instance of InterruptedNamingException using an explanation of the problem.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterruptedNamingException

          public InterruptedNamingException(String explanation)

      Constructs an instance of InterruptedNamingException using an explanation of the problem. All name resolution-related fields are initialized to null.
      Parameters:
        `explanation` - A possibly null message explaining the problem.
      See Also:
        `Throwable.getMessage()`

    - #### InterruptedNamingException

          public InterruptedNamingException()

      Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.